package com.bailuntec.job;

import com.bailuntec.support.PointJob;
import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.executor.ShardingContexts;
import org.junit.jupiter.api.Test;

import java.util.HashMap;

/**
 * <p>
 *
 * </p>
 *
 * @author robbendev
 * @since 2020/9/21 1:49 下午
 */
public class LogisticsJobTest {


    @Test
    public void executeJob() {
        for (int i = 0; i < 2; i++) {
            PointJob pointJob = new LogisticsJob();
            ShardingContext shardingContext = new ShardingContext(
                    new ShardingContexts("x", "base-sync-logistics", 1, null, new HashMap<>()), 0
            );

            pointJob.execute(shardingContext);
        }
    }
}
